part of 'logout_form_bloc.dart';

@freezed
class LogoutFormState with _$LogoutFormState {
  const factory LogoutFormState({
    required Option<Either<AuthFailure, Unit>> failureOrAuthOption,
    @Default(false) bool isSubmitting,
  }) = _LogoutFormState;

  factory LogoutFormState.initial() =>
      LogoutFormState(failureOrAuthOption: none(), isSubmitting: false);
}
